#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFF,0xD5,0xB4,0x6F,0x01,0x0C,0x4F,0x4B,0x4A,0x0D,0x87,0x61,
		0x02,0x48,0xE9,0x2C,0x97,0x75,0x23,0x0D,0x75,0xE8,0x50,0xC3,
		0x5D,0x50,0xBF,0x07,0x5F,0x78,0x77,0x43,0x57,0x61,0xDE,0x31,
		0xF4,0x8A,0x9C,0x36,0x80,0x4F,0x09,0xBB,0xC6,0xCC,0xC3,0xB1,
		0x6F,0x9D,0xC6,0xA0,0x60,0xA1,0x51,0x7A,0x82,0x8B,0x0F,0x2A,
		0x7D,0xE3,0x0D,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
